/*
 * 特别声明：本技术材料受《中华人民共和国著作权法》、《计算机软件保护条例》等法律、法规、行政
 * 规章以及有关国际条约的保护，赞同科技享有知识产权、保留一切权利并视其为技术秘密。未经本公司书
 * 面许可，任何人不得擅自（包括但不限于：以非法的方式复制、传播、展示、镜像、上载、下载）使用，
 * 不得向第三方泄露、透露、披露。否则，本公司将依法追究侵权者的法律责任。特此声明！
 *
 * Special Declaration: These technical material reserved as the technical secrets by AGREE
 * TECHNOLOGY have been protected by the "Copyright Law" "ordinances on Protection of Computer
 * Software" and other relevant administrative regulations and international treaties. Without
 * the written permission of the Company, no person may use (including but not limited to the
 * illegal copy, distribute, display, image, upload, and download) and disclose the above
 * technical documents to any third party. Otherwise, any infringer shall afford the legal
 * liability to the company.
 */
/**
 * Created by huangdeyun on 2015/8/28 11:41.
 */
define(['echarts', 'echarts/chart/radar'], function (ECharts, Radar) {
    return {
        init: function (myCharts_, mainNode, title, subTitle, polarIndicator, polarIndicatorMax, names, values) {
            if (polarIndicator.length === 0 || names.length === 0 || values.length === 0) {
                return myCharts_;
            }
            var myCharts = myCharts_;
            if (!myCharts) {
                myCharts = ECharts.init(mainNode);
            }
            myCharts.clear();
            /* //测试数据
             var title = "罗纳尔多 vs 舍普琴科";
             var subTitle = "完全实况球员数据";
             var polarIndicator = ['进攻', '防守', '体能', '速度', '力量', '技巧'];
             var polarIndicatorMax = 100;
             var names = ['罗纳尔多', '舍普琴科'];
             var values = [
             [97, 42, 88, 94, 90, 86],
             [97, 32, 74, 95, 88, 92],
             ];*/
            var indicators = [];
            var i;
            //组装雷达指示器
            if (polarIndicatorMax > 0) {
                for (i = 0; i < polarIndicator.length; i++) {
                    indicators.push({text: polarIndicator[i], max: polarIndicatorMax});
                }
            } else {
                for (i = 0; i < polarIndicator.length; i++) {
                    indicators.push({text: polarIndicator[i]});
                }
            }
            var datas = [];
            //组装雷达显示数据
            for (i = 0; i < names.length; i++) {
                datas.push({
                    value: values[i],
                    name: names[i]
                });
            }

            var option = {
                title: {
                    text: title,
                    subtext: subTitle
                },
                tooltip: {
                    trigger: 'axis'
                },
                legend: {
                    x: 'center',
                    data: names,
                    selectedMode: false//图例开关，默认开启
                },
                toolbox: {
                    show: true
                },
                calculable: false,
                polar: [
                    {
                        indicator: indicators
                    }
                ],
                series: [
                    {
                        type: 'radar',
                        data: datas
                    }
                ]
            };
            myCharts.setOption(option);
            return myCharts;
        }
    };
});